Subject: Re: CCL:chloroform solvent simulation difficulties

From: Konrad Hinsen <[email-masked]>
Date: Wed, 11 Oct 2000 09:50:12 +0200

>  correctly.  I heat the system up to 288K from 200K and equilibrate in an
>  NVT ensemlbe at 288K with no problems.  When I try and equilibrate in an
>  NVE ensemble, the temperature jumps to about 350K no matter what I try. (I

You run NVT at 288 K, then switch off the thermostat and get a jump to
350 K?  Assuming that your total energy is constant (easy to verify),
this means that the potential energy must go down significantly.  Look
at some configurations before or after; one of them probably looks
weird. That might help you to find out whether it's the NVT or the NVE
that goes wrong. I don't know how CHARMM does NVT; if there is some
total conserved quantity (e.g. for the Nose-Hoover thermostat), check
that it is indeed conserved.

You might simply be running at the wrong volume - check the pressure,
or, better yet, run NPT dynamics if you can.

   My second question is I am using particle mesh Ewald summations to treat
   the long-range nonbonded interactions. Charmm complains and says that I
   must specify the frequency for stopping the translation and rotation of
   the molecules during the simulation. Why is this necessary and what

You mean translation and rotation of the whole system, right? Not of
the individual molecules, that would make no sense.

In principle, an NVE simulation should keep energy, momentum, and
angular momentum of the system constant. In practice, people get
seriously worried if their energy is not constant (e.g. due to an
excessive integration time step), but accept as inevitable that
momentum and angular momentum are *not* conserved. So if you don't
watch out, all your kinetic energy might be transferred into global
motion, leaving you with what has been described as a "flying ice
cube".

To get rid of this problem, you can remove global motion at regular
intervals and redistribute its kinetic energy to the internal degrees
of freedom. Which, of course, is an unphysical change of your system.
It's a matter of preference how frequently you should do it. You can
argue that it should be done often to make it a small change, or
rarely in order to keep "pure" dynamics for as long as possible.  Most
of all, you should feel bad doing it because it's an ugly kludge ;-)
--
-------------------------------------------------------------------------------
Konrad Hinsen                            | E-Mail: [email-masked]
Centre de Biophysique Moleculaire (CNRS) | Tel.: +33-2.38.25.56.24
Rue Charles Sadron                       | Fax:  +33-2.38.63.15.17
45071 Orleans Cedex 2                    | Deutsch/Esperanto/English/
France                                   | Nederlands/Francais
-------------------------------------------------------------------------------